#ifndef cxxtls_brashException_header_included_p
#define cxxtls_brashException_header_included_p
//
// Copyright 2014-2015, Lowell Boggs Jr.
//
// This file or directory, containing source code for a computer program,
// is Copyrighted by Lowell Boggs, Jr.  987 Regency Drive, Lewisville
// TX (USA), 75067.  You may use, copy, modify, and distribute this
// source file without charge or obligation so long as you agree to
// the following:
//
//  1.  You must indemnify Lowell Boggs against any and all financial
//      obligations caused by its use, misuse, function, or malfunction.
//      Further, you acknowledge that there is no warranty of any kind,
//      whatsoever.
//
//  2.  You agree not to attempt to patent any portion of this original
//      work -- though you may attempt to patent your own extensions to
//      it if you so choose.
//
//  3.  You keep this copyright notice with the file and all copies
//      of the file and do not change it anyway except language translation.
//
// You are responsible for enforcing your own compliance with these
// conditions and may not use this source file if you cannot agree to the
// above terms and conditions.
//
// Warning:  not all files in this directory structure may be covered by the
// same copyright.  Some of them may be part of the GNU source distribution
// and you must obey the GPL copyright for any such files.

#include <cxxtls/exception.h>




DECLARE_CXXTLS_EXCEPTION(BadCdTargetException);
DECLARE_CXXTLS_EXCEPTION(BadFileNumberException);
DECLARE_CXXTLS_EXCEPTION(EmptyPipeChainException);
DECLARE_CXXTLS_EXCEPTION(PipeChainTooLongException);
DECLARE_CXXTLS_EXCEPTION(ParseStatementInternalCheckFailedException);
DECLARE_CXXTLS_EXCEPTION(YouCantGetHereFromThereException);


#endif
